summaryrefslogtreecommitdiffabout
path: root/autogen.bash
Side-by-side diff
Diffstat (limited to 'autogen.bash') (more/less context) (ignore whitespace changes)
-rwxr-xr-xautogen.bash13
1 files changed, 13 insertions, 0 deletions
diff --git a/autogen.bash b/autogen.bash
new file mode 100755
index 0000000..691173c
--- a/dev/null
+++ b/autogen.bash
@@ -0,0 +1,13 @@
+#!/bin/sh
+tool_libtoolize="$(type -P glibtoolize || type -P libtoolize)"
+if test -z "$tool_libtoolize" ; then
+ echo "Failed to find libtoolize." ; exit 1;
+fi
+ (test -d aux.d || mkdir aux.d) \
+&& (test -d aclocal.d || mkdir aclocal.d) \
+&& "$tool_libtoolize" -f \
+&& aclocal -I aclocal.d \
+&& autoheader \
+&& automake -a \
+&& (autoconf || autoconf) \
+&& ./configure "$@"